ziphead.cpp File Reference

Implementation of routines for reading the central directory and local headers of a zip archive. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include <iterator>`
`#include <string>`
`#include <cassert>`
`#include "zipios_common.h"`
`#include "zipios++/ziphead.h"`
`#include "zipios++/zipheadio.h"`
`#include "zipios++/zipios_defs.h"`
`#include "outputstringstream.h"`
Include dependency graph for ziphead.cpp:

Go to the source code of this file.

## Functions

bool | zipios::operator== (const ZipLocalEntry &zlh, const ZipCDirEntry &ze)

## Detailed Description

Implementation of routines for reading the central directory and local headers of a zip archive.

Definition in file ziphead.cpp.

## Function Documentation

## operator==()

bool zipios::operator== | ( | const ZipLocalEntry & | zlh,
|  | const ZipCDirEntry & | ze )

Definition at line 20 of file ziphead.cpp.